gnutls_x509_crt_set_subject_alt_name(3)

NAME
gnutls_x509_crt_set_subject_alt_name - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_alt_name(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const void * data, unsigned int data_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_subject_alt_name_t type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const void * data
    The data to be set

unsigned int data_size
    The size of data to be set

unsigned int flags
    GNUTLS_FSAN_SET to clear previous data or GNUTLS_FSAN_APPEND to append.

DESCRIPTION
This function will set the subject alternative name certificate extension. It can set the following types: &GNUTLS_SAN_DNSNAME: as a text string &GNUTLS_SAN_RFC822NAME: as a text string &GNUTLS_SAN_URI: as a text string &GNUTLS_SAN_IPADDRESS: as a binary IP address (4 or 16 bytes) Other values can be set as binary values with the proper DER encoding.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.